## org.apache.fop.fo.flow
Class TableFooter

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.flow.TableBody
                        |
                        +--org.apache.fop.fo.flow.TableFooter

public class TableFooter
extends TableBody

Inner Class Summary
`static class` `TableFooter.Maker`

Inner classes inherited from class org.apache.fop.fo.flow.TableBody
`TableBody.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`TableFooter(FObj parent, PropertyList propertyList)`

Method Summary
`int` `getYPosition()`
`static FObj.Maker` `maker()`
`void` `setYPosition(int value)`

Methods inherited from class org.apache.fop.fo.flow.TableBody
`getHeight, layout, removeLayout, setColumns`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableFooter

    public TableFooter(FObj parent,
                       PropertyList propertyList)

Method Detail

### getYPosition

    public int getYPosition()

  Overrides:
    getYPosition in class TableBody

### setYPosition

    public void setYPosition(int value)

  Overrides:
    setYPosition in class TableBody

### maker

    public static FObj.Maker maker()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.